summaryrefslogtreecommitdiff
path: root/slam.sh
diff options
context:
space:
mode:
authorWilliam Harold Newman <william.newman@airmail.net>2001-09-02 23:03:44 +0000
committerWilliam Harold Newman <william.newman@airmail.net>2001-09-02 23:03:44 +0000
commit872175cd9cb5b4966a36d4bd92421cc407a0355b (patch)
tree20f56c4751e8f11202e2906eb1bb3c883499edae /slam.sh
parentc953f3240b56b71f9e31c840f07d03ffff4a5f6b (diff)
0.pre7.31:
merged MNA "cleanups" patch from sbcl-devel 2001-08-31 got rid of INDEXV-USER-SPECIFIED-P completely, since MNA points out that it's unused got rid of ignored FORM arg in definition of %PRIMITIVE, too
Diffstat (limited to 'slam.sh')
-rw-r--r--slam.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/slam.sh b/slam.sh
index 70505113f..c7d245e8d 100644
--- a/slam.sh
+++ b/slam.sh
@@ -31,11 +31,10 @@ if [ "" != "$*" ]; then
fi
# We don't try to be general about this in this script the way we are
-# in make.sh, since (1) we use our command line args as names of files
-# to recompile, and (2) the idiosyncrasies of SBCL command line
-# argument order dependence, the meaninglessness of duplicate --core
-# arguments, and the SBCL-vs-CMUCL dependence of --core/-core argument
-# syntax make it too messy to try deal with arbitrary SBCL commands.
+# in make.sh, since the idiosyncrasies of SBCL command line argument
+# order dependence, the meaninglessness of duplicate --core arguments,
+# and the SBCL-vs-CMUCL dependence of --core/-core argument syntax
+# make it too messy to try deal with arbitrary SBCL_XC_HOST variants.
# So you have no choice:
export SBCL_XC_HOST='sbcl --noprogrammer'
@@ -47,7 +46,7 @@ sh make-target-1.sh || exit 1
# Instead of doing the full make-host-2.sh, we (1) use after-xc.core
# to rebuild only obviously-out-of-date Lisp files, then (2) run
# GENESIS.
-sbcl --core output/after-xc.core <<'EOF' || exit 1
+sbcl --core output/after-xc.core --sysinit /dev/null --userinit /dev/null <<'EOF' || exit 1
(load "src/cold/slam.lisp")
EOF
# (This ^ used to be